<?php
	// 50+100 = inicio proceso
	// requiere :fumigacion, rfecha, errorid(evento),duplicar, analogo,digital,concentraciones,peso(pesoinyeccion),rangodosis

	if ($fumigacion!=0) {
		$sql2 = "insert into fum_historial (id_fumigacion,fecha,eventid,pulpa1,pulpa2,pulpa3,pulpa4,pulpa5,";
		$sql2.="pulpa6,pulpa7,pulpa8,pulpa9,pulpa10,pulpa11,pulpa12,pulpa13,pulpa14,pulpa15,";
		$sql2.="ambiente1,ambiente2,evaporador,dumper,ventilador,valvula,concentracion1,concentracion2,";
		$sql2.="concentracion3,concentracion4,concentracion5,pesoinyeccion,rangodosis,equipo) values ";
		$sql2 = $sql2."(".$fumigacion.",".$rfecha.",".$errorid;
		foreach($analogos as $tmp){
			$temperatura[$tmp]+=0;
			$sql2 = $sql2.",".$temperatura[$tmp];
		}
		foreach($digitales as $tmp){
			$digital[$tmp]+=0;
			$sql2 = $sql2.",".$digital[$tmp];
		}
		foreach($concentraciones as $tmp){
			$medida[$tmp]+=0;
			$sql2 = $sql2.",".$medida[$tmp];
		}	
		$peso=($peso+0);
		$rangodosis=$rangodosis+0;
		$sql2 = $sql2.",$peso, $xrangotemperatura[$camara], '$equipo')";
		
		$sql = "SELECT * FROM fum_historial where id_fumigacion=".$fumigacion." order by id DESC";
		$resultado = mssql_query($sql,$conn) or die("No puede leer camara");
		$filas = rows_affected();
		
		if($filas != 0){
			$id_fumigacion = mssql_result($resultado, 0, "id_fumigacion");
			$eventid = mssql_result($resultado, 0, "eventid");
		}else{ $eventid = 0;}
		// evita evento duplicado.
		if($eventid != $errorid or $duplicar==1){
			$resultado = mssql_query($sql2,$conn) or die("No puede escribir fum_historial<br>".$sql2);
		}
	}
?>